Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Plugin won't install

Help
2013-07-23
2013-08-14
  • Filip Neculciu
    Filip Neculciu
    2013-07-23

    Hi,

    I'm having issues installing the plugin. I have created a plugins folder in my keepass folder and added the .plgx file there. When i start KeePass it seems to compile correctly, but i can't see anything in Tools -> Plugins. I even ran KeePass from the console to inspect stderr but I couldn't see anything.

    I'm using KeePass 2.23 on Linux (OpenSUSE 12.3 64-bit) using mono.
    Any help would be appreciated.

    Thanks,
    Filip

     
  • Luckyrat
    Luckyrat
    2013-07-28

    Which version of mono are you using?

    Do any other plgx files work?

     
  • Filip Neculciu
    Filip Neculciu
    2013-07-31

    Hey, sorry for the late reply.

    I hadn't tried other .plgx files. I've just tried the GoogleSync plug-in now and I can't see it either. Keepass seems to compile something and I can see a 3MB cache in Tools->Plugins but nothing is listed.

    I'm using mono 3.0.4:

    mono --version
    Mono JIT compiler version 3.0.4 (tarball Thu Mar  7 10:40:07 UTC 2013)         Copyright (C) 2002-2012 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
            TLS:           __thread
            SIGSEGV:       altstack
            Notifications: epoll
            Architecture:  amd64
            Disabled:      none
            Misc:          softdebug 
            LLVM:          supported, not enabled.
            GC:            Included Boehm (with typed GC and Parallel Mark)
    
     
  • ecomputer
    ecomputer
    2013-08-13

    I'm getting an error also on Linux but 32-bit Ubuntu and KeePass 2.21 saying that:


    KeePass

    The following plugin is incompatible with the current KeePass version:
    /usr/lib/keepass2/favicondlrd.plgx

    Have a look at the plugin's website for an appropriate version.

    When KeePass loads nothing shows up in the Plugins directory. This is the first plug-in I've tried to install.

     
    Last edit: ecomputer 2013-08-13
  • Luckyrat
    Luckyrat
    2013-08-14

    There is a bug with early versions of Mono 3.x which prevents all KeePass plgx plugins from working. I'm pretty sure 3.0.4 suffers from the problem but don't know exactly which version it was fixed in.

    So you'll need to upgrade mono to as up-to-date a version as you can. (or alternatively, you could downgrade to Mono 2.10.x but only if you can't get the upgrade to work for some reason).